---
title: Search Category Ids
slug: bluecartapi/walmart-product-data-api/reference/search-category-ids
docTags: 
createdAt: 2024-07-27T17:51:31.976Z
---

# Walmart Search Category IDs

BlueCart API supports the following "search category IDs" for scoping  `type=search`  requests. You should supply the "search category ID" in the  `category_id`  [Search Request Parameter](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/search).

![](https://apiimages.imgix.net/bluecartapi/images/png/docs/walmart_search_category_ids.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Search Categories")

Search Category IDs are the category areas a shopper can refine their search to, as shown under the main Walmart search bar in the screenshot above.

:::hint{type="info"}
**Search vs. Category Requests**
Search Category IDs, used in the  `category_id`  of a  `type=search`  request, are not to be confused with category IDs returned from the [Categories API](https://docs.trajectdata.com/bluecartapi/categories-api/overview) that are used in the  `category_id`  of a  `type=category`  request.
:::

| *`Name`*             | *`Search Category ID Parameter Value`* |
| -------------------- | -------------------------------------- |
| Auto & Tire          | `type=search&category_id= 91083`       |
| Baby                 | `type=search&category_id= 5427`        |
| Beauty               | `type=search&category_id= 1085666`     |
| Books                | `type=search&category_id= 3920`        |
| Cell Phones          | `type=search&category_id= 1105910`     |
| Clothing             | `type=search&category_id= 5438`        |
| Electronics          | `type=search&category_id= 3944`        |
| Food                 | `type=search&category_id= 976759`      |
| Gifts & Registry     | `type=search&category_id= 1094765`     |
| Health               | `type=search&category_id= 976760`      |
| Home                 | `type=search&category_id= 4044`        |
| Home Improvement     | `type=search&category_id= 1072864`     |
| Household Essentials | `type=search&category_id= 1115193`     |
| Jewelry              | `type=search&category_id= 3891`        |
| Movies               | `type=search&category_id= 4096`        |
| Music                | `type=search&category_id= 4104`        |
| Office               | `type=search&category_id= 1229749`     |
| Party & Occasions    | `type=search&category_id= 2637`        |
| Patio & Garden       | `type=search&category_id= 5428`        |
| Pets                 | `type=search&category_id= 5440`        |
| Pharmacy             | `type=search&category_id= 5431`        |
| Photo Center         | `type=search&category_id= 5426`        |
| Sports & Outdoors    | `type=search&category_id= 4125`        |
| Toys                 | `type=search&category_id= 4171`        |
| Video Games          | `type=search&category_id= 2636`        |

***

**Next Steps**
     [Getting Started](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/overview)
     [Request Parameters](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/parameters/common)
